﻿Imports System.Windows.Forms

Public Class Query
    Private fwVer As String
    Private hwVer As String
    Private serNum As String
    Private ipAddr As String
    Private subnetAddr As String
    Private gatewayAddr As String
    Private MACAddr As String
    Private pulsar As CPulsar2

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub Query_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Read settings from device
        FWVerLabel.Text = fwVer
        HWVerLabel.Text = hwVer
        SerNumLabel.Text = serNum
        IPAddrLabel.Text = ipAddr
        SubnetLabel.Text = subnetAddr
        GatewayLabel.Text = gatewayAddr
        MACAddrLabel.Text = MACAddr

    End Sub

    Public Sub New(ByRef p_Pulsar As CPulsar2)

        ' This call is required by the Windows Form Designer.
        InitializeComponent()
        pulsar = p_Pulsar
        ' Add any initialization after the InitializeComponent() call.
        Dim errNum As Short
        fwVer = LSet(fwVer, 256)
        hwVer = LSet(hwVer, 256)
        serNum = LSet(serNum, 256)
        errNum = p_Pulsar.GetVersion(fwVer, hwVer, serNum)
        ipAddr = LSet(ipAddr, 256)
        subnetAddr = LSet(subnetAddr, 256)
        gatewayAddr = LSet(gatewayAddr, 256)
        MACAddr = LSet(MACAddr, 256)
        errNum = p_Pulsar.GetIPSettings(ipAddr, subnetAddr, gatewayAddr, MACAddr)
    End Sub

    Private Sub EditButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EditButton.Click
        Dim editCtrl As New IPOnlyDialog(Me, IPAddrLabel.Text, SubnetLabel.Text, GatewayLabel.Text)
        editCtrl.ShowDialog()
    End Sub
    Public Sub addrChange(ByVal ip As String, ByVal subnet As String, ByVal gateway As String)
        Dim errNum As Short
        IPAddrLabel.Text = ip
        SubnetLabel.Text = subnet
        GatewayLabel.Text = gateway
        errNum = pulsar.SetIPSettings(ip, subnet, gateway)
    End Sub
End Class
